Sub Assessments - List
スコープ内でスキャンされたすべてのリソースに対するセキュリティ サブ評価を取得する
GET https://management.azure.com/{scope}/providers/Microsoft.Security/assessments/{assessmentName}/subAssessments?api-version=2019-01-01-preview
URI パラメーター
| Name | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
assessment
|
path | True |
string |
セキュリティ評価キー - 評価タイプの一意キー |
|
scope
|
path | True |
string |
サブアセスメントの範囲について。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
応答
| Name | 型 | 説明 |
|---|---|---|
| 200 OK |
Azureの運用は無事に完了しました。 |
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| Name | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
List security sub-assessments
要求のサンプル
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/assessments/82e20e14-edc5-4373-bfc4-f13121257c37/subAssessments?api-version=2019-01-01-preview
応答のサンプル
{
"value": [
{
"name": "8fbe5054-e97c-3a7a-fda7-c8308ca8d3cf",
"type": "Microsoft.Security/assessments/subAssessments",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/ascdemoRG/providers/Microsoft.Sql/servers/sqlserver1demo/providers/Microsoft.Security/assessments/82e20e14-edc5-4373-bfc4-f13121257c37/subassessments/8fbe5054-e97c-3a7a-fda7-c8308ca8d3cf",
"properties": {
"description": "The Azure SQL Database-level firewall helps protect your data by preventing all access to your database until you specify which IP addresses have permission. Database-level firewall rules grant access to the specific database based on the originating IP address of each request.\n\nDatabase-level firewall rules for master",
"additionalData": {
"type": "AzureDatabase",
"assessedResourceType": "SqlServerVulnerability",
"benchmarks": [],
"query": "SELECT name\n ,start_ip_address\n ,end_ip_address\nFROM sys.database_firewall_rules"
},
"category": "SurfaceAreaReduction",
"displayName": "Database-level firewall rules should be tracked and maintained at a strict minimum",
"id": "VA2064",
"impact": "Firewall rules should be strictly configured to allow access only to client computers that have a valid need to connect to the database. Any superfluous entries in the firewall may pose a threat by allowing an unauthorized source access to your database.",
"remediation": "Evaluate each of the database-level firewall rules. Remove any rules that grant unnecessary access and set the rest as a baseline. Deviations from the baseline will be identified and brought to your attention in subsequent scans.",
"resourceDetails": {
"id": "/subscriptions/212f9889-769e-45ae-ab43-6da33674bd26/resourceGroups/ascdemoRG/providers/Microsoft.Sql/servers/sqlserver1demo/databases/database1",
"source": "Azure"
},
"status": {
"cause": "Unknown",
"code": "Healthy",
"severity": "High"
},
"timeGenerated": "2019-06-23T12:20:08.7644808Z"
}
}
]
}
定義
| Name | 説明 |
|---|---|
|
Assessed |
サブ評価リソースの種類 |
|
Common. |
失敗した操作のエラーの詳細を返す、すべての Azure Resource Manager API の一般的なエラー応答。 (これは、OData エラー応答形式にも従います)。 |
|
Common. |
エラーの詳細。 |
|
Container |
コンテナー レジストリの脆弱性評価の追加コンテキスト フィールド |
|
created |
リソースを作成した ID の種類。 |
| CVE |
CVE の詳細 |
| CVSS |
CVSS の詳細 |
|
Error |
リソース管理エラーの追加情報。 |
|
Security |
リソースのセキュリティ サブ評価 |
|
Security |
セキュリティ サブ評価の一覧 |
|
Server |
サーバーの脆弱性評価の追加コンテキスト フィールド |
| Severity |
サブ評価の重大度レベル |
|
Sql |
評価されたリソースの詳細 |
|
Sub |
サブ評価の状態 |
|
Sub |
評価の状態のプログラム コード |
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
|
Vendor |
ベンダーリファレンス |
AssessedResourceType
サブ評価リソースの種類
| 値 | 説明 |
|---|---|
| SqlServerVulnerability |
SqlServerVulnerability |
| ContainerRegistryVulnerability |
ContainerRegistryVulnerability |
| ServerVulnerability |
ServerVulnerability |
| ServerVulnerabilityAssessment |
ServerVulnerabilityAssessment |
Common.CloudError
失敗した操作のエラーの詳細を返す、すべての Azure Resource Manager API の一般的なエラー応答。 (これは、OData エラー応答形式にも従います)。
| Name | 型 | 説明 |
|---|---|---|
| error.additionalInfo |
エラーの追加情報。 |
|
| error.code |
string |
エラー コード。 |
| error.details |
エラーの詳細。 |
|
| error.message |
string |
エラー メッセージ。 |
| error.target |
string |
エラーターゲット。 |
Common.CloudErrorBody
エラーの詳細。
| Name | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ContainerRegistryVulnerabilityProperties
コンテナー レジストリの脆弱性評価の追加コンテキスト フィールド
| Name | 型 | 説明 |
|---|---|---|
| assessedResourceType |
string:
Container |
サブ評価リソースの種類 |
| cve |
CVE[] |
CVE の一覧 |
| cvss |
<string, CVSS> |
cvss バージョンから cvss details オブジェクトへの辞書 |
| imageDigest |
string |
脆弱な画像のダイジェスト |
| patchable |
boolean |
パッチが使用可能かどうかを示します |
| publishedTime |
string (date-time) |
公開時刻 |
| repositoryName |
string |
脆弱なイメージが属するリポジトリの名前 |
| type |
string |
脆弱性の種類。 例: 脆弱性、潜在的な脆弱性、収集された情報、脆弱性 |
| vendorReferences |
ベンダーリファレンス |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
CVE
CVE の詳細
| Name | 型 | 説明 |
|---|---|---|
| link |
string |
リンク URL |
| title |
string |
CVE タイトル |
CVSS
CVSS の詳細
| Name | 型 | 説明 |
|---|---|---|
| base |
number (float) |
CVSS ベース |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| Name | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
SecuritySubAssessment
リソースのセキュリティ サブ評価
| Name | 型 | 説明 |
|---|---|---|
| id |
string (arm-id) |
リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
リソースの名前 |
| properties.additionalData | AdditionalData: |
サブ評価の詳細 |
| properties.category |
string |
サブ評価のカテゴリ |
| properties.description |
string |
評価状態の人間が判読できる説明 |
| properties.displayName |
string |
サブ評価のわかりやすい表示名 |
| properties.id |
string |
脆弱性 ID |
| properties.impact |
string |
このサブ評価の影響の説明 |
| properties.remediation |
string |
このサブ評価を修復する方法に関する情報 |
| properties.resourceDetails |
Common. |
評価されたリソースの詳細 |
| properties.status |
サブ評価の状態 |
|
| properties.timeGenerated |
string (date-time) |
サブ評価が生成された日時 |
| systemData |
createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。 |
|
| type |
string |
リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
SecuritySubAssessmentList
セキュリティ サブ評価の一覧
| Name | 型 | 説明 |
|---|---|---|
| nextLink |
string |
次のページをフェッチする URI。 |
| value |
セキュリティ サブ評価の一覧 |
ServerVulnerabilityProperties
サーバーの脆弱性評価の追加コンテキスト フィールド
| Name | 型 | 説明 |
|---|---|---|
| assessedResourceType |
string:
Server |
サブ評価リソースの種類 |
| cve |
CVE[] |
CVE の一覧 |
| cvss |
<string, CVSS> |
cvss バージョンから cvss details オブジェクトへの辞書 |
| patchable |
boolean |
パッチが使用可能かどうかを示します |
| publishedTime |
string (date-time) |
公開時刻 |
| threat |
string |
脅威名 |
| type |
string |
脆弱性の種類。 例: 脆弱性、潜在的な脆弱性、収集された情報 |
| vendorReferences |
ベンダーリファレンス |
Severity
サブ評価の重大度レベル
| 値 | 説明 |
|---|---|
| Low |
低 |
| Medium |
中程度 |
| High |
High |
| Critical |
危うい |
SqlServerVulnerabilityProperties
評価されたリソースの詳細
| Name | 型 | 説明 |
|---|---|---|
| assessedResourceType |
string:
Sql |
サブ評価リソースの種類 |
| query |
string |
特定のチェックを実行するために SQL データベースで実行される T-SQL クエリ |
| type |
string |
サブ評価がリソースの詳細で参照するリソースの種類 |
SubAssessmentStatus
サブ評価の状態
| Name | 型 | 説明 |
|---|---|---|
| cause |
string |
評価状態の原因のプログラム コード |
| code |
評価の状態のプログラム コード |
|
| description |
string |
評価状態の人間が判読できる説明 |
| severity |
サブ評価の重大度レベル |
SubAssessmentStatusCode
評価の状態のプログラム コード
| 値 | 説明 |
|---|---|
| Healthy |
リソースが正常である |
| Unhealthy |
リソースに対処する必要があるセキュリティの問題がある |
| NotApplicable |
このリソースの評価が行われませんでした |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| Name | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |
VendorReference
ベンダーリファレンス
| Name | 型 | 説明 |
|---|---|---|
| link |
string |
リンク URL |
| title |
string |
タイトルをリンクする |